org.vishia.guiBzr

## Class GuiStatusPanel

- java.lang.Object
- - org.vishia.guiBzr.GuiStatusPanel

-     public class GuiStatusPanel
      extends java.lang.Object

  This class contains all data and methods of the status (select) panel.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private static class` | `GuiStatusPanel.SelectInfoBoxWidgds`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private GralUserAction` | `actionCloseProjectBzrComponents`
    `private GralUserAction` | `actionSelectCmpn`
    `private GralUserAction` | `actionSelectorProjectPathTable` Action if a line is confirmed.
    `private GralPanelContent[]` | `bzrComponentBox` Any component has its PanelManager.
    `(package private) MainData` | `mainData` Aggregation to the main data of the GUI.
    `(package private) GralMngBuild_ifc` | `panelBuildifc` Aggregation to the build interface of the manager where the panel is member of.
    `private GralUserAction` | `refreshProjectBzrComponents`
    `private GralWindow` | `selectorProjectPath` A Panel which contains the table to select some projectPaths.
    `private GralTable` | `selectorProjectPathTable` The table (list) which contains the selectable project paths.
    `private GralUserAction` | `selectProjectPath`
    `private GralWidget[]` | `switchButtons` Save the switchButtons to remove it when the widget is removed.
    `private GralSwitchExclusiveButtonMng` | `switchExcluder` Instance for some buttons to exclude switch on only for one button.
    `private GralWindow_ifc` | `testDialogBox`
    `(package private) GralWidget` | `widgdProjektpath` Widget to select the project path.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiStatusPanel(MainData mainData, GralMngBuild_ifc panelBuildifc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `buildComponentsInfoSelectBoxes()` Builds all select and info GUI-components for all source-components of the given project.
    `private void` | `cleanComponentsInfoSelectBoxes()` Removes all existing GUI-container for selection and info of the components.
    `private void` | `createComponentsInfoSelectBox(int iComponent)`
    `(package private) void` | `initGui()` Initializes the graphic.
    `private void` | `setInfoWidgetsInSelectBox(GuiStatusPanel.SelectInfoBoxWidgds widgds)`
    `(package private) void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mainData

          final MainData mainData

      Aggregation to the main data of the GUI.

    - #### panelBuildifc

          final GralMngBuild_ifc panelBuildifc

      Aggregation to the build interface of the manager where the panel is member of.

    - #### widgdProjektpath

          GralWidget widgdProjektpath

      Widget to select the project path. The project is a user-project which contains one or more source archive-sandboxes.

    - #### selectorProjectPath

          private GralWindow selectorProjectPath

      A Panel which contains the table to select some projectPaths.

    - #### selectorProjectPathTable

          private GralTable selectorProjectPathTable

      The table (list) which contains the selectable project paths.

    - #### bzrComponentBox

          private final GralPanelContent[] bzrComponentBox

      Any component has its PanelManager. It is one line with some widgets.

    - #### testDialogBox

          private GralWindow_ifc testDialogBox

    - #### switchExcluder

          private GralSwitchExclusiveButtonMng switchExcluder

      Instance for some buttons to exclude switch on only for one button. GUI-concept: This is an alternative to TODO

    - #### switchButtons

          private GralWidget[] switchButtons

      Save the switchButtons to remove it when the widget is removed.

    - #### selectProjectPath

          private final GralUserAction selectProjectPath

    - #### actionSelectorProjectPathTable

          private final GralUserAction actionSelectorProjectPathTable

      Action if a line is confirmed. If a line is confirmed, the path is set to `widgdProjektpath`. If the top line is leaved, the table will be closed.

    - #### actionCloseProjectBzrComponents

          private final GralUserAction actionCloseProjectBzrComponents

    - #### refreshProjectBzrComponents

          private final GralUserAction refreshProjectBzrComponents

    - #### actionSelectCmpn

          private final GralUserAction actionSelectCmpn

  - ### Constructor Detail

    - #### GuiStatusPanel

          public GuiStatusPanel(MainData mainData,
                                GralMngBuild_ifc panelBuildifc)

  - ### Method Detail

    - #### initGui

          void initGui()

      Initializes the graphic. It will be called in the GUI-Thread.

    - #### cleanComponentsInfoSelectBoxes

          private void cleanComponentsInfoSelectBoxes()

      Removes all existing GUI-container for selection and info of the components. It is called if a new project is selected.

    - #### buildComponentsInfoSelectBoxes

          private void buildComponentsInfoSelectBoxes()

      Builds all select and info GUI-components for all source-components of the given project.

    - #### createComponentsInfoSelectBox

          private void createComponentsInfoSelectBox(int iComponent)

    - #### setInfoWidgetsInSelectBox

          private void setInfoWidgetsInSelectBox(GuiStatusPanel.SelectInfoBoxWidgds widgds)

    - #### stop

          void stop()